Upstream-Status: Pending
From 00def9ae7f180b1ada678c35ff71621e02adf599 Mon Sep 17 00:00:00 2001
From: Rajesh Gugulothu <rajesh.gugulothu@amd.com>
Date: Mon, 23 Jan 2023 16:04:35 +0530
Subject: [PATCH 266/295] v4l: xilinx: dprx: Correct the XDPRX_HPD_INTR_MASK
 macro bit mask value

This patch fixes the incorrect bit mask value of XDPRX_HPD_INTR_MASK macro.

Signed-off-by: Rajesh Gugulothu <rajesh.gugulothu@amd.com>
Reviewed-by: Vishal Sagar <vishal.sagar@amd.com>
State: pending
---
 drivers/media/platform/xilinx/xilinx-dprxss.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/media/platform/xilinx/xilinx-dprxss.c b/drivers/media/platform/xilinx/xilinx-dprxss.c
index f4124c558d72..3d2d72567cd3 100644
--- a/drivers/media/platform/xilinx/xilinx-dprxss.c
+++ b/drivers/media/platform/xilinx/xilinx-dprxss.c
@@ -108,7 +108,7 @@
 #define XDPRX_SOFT_AUXRST_MASK		BIT(7)
 
 #define XDPRX_HPD_INTR_REG		0x02c
-#define XDPRX_HPD_INTR_MASK		BIT(1)
+#define XDPRX_HPD_INTR_MASK		BIT(0)
 #define XDPRX_HPD_PULSE_MASK		GENMASK(31, 16)
 
 #define XDPRX_INTR_CAUSE_REG		0x040
-- 
2.34.1

